#pragma once

#include "CoreMinimal.h"
#include "DBDAttackOpenSubstate.h"
#include "DBDTunableRowHandle.h"
#include "K41GutsAttackOpenSubstate.generated.h"

UCLASS(Blueprintable)
class THEK41_API UK41GutsAttackOpenSubstate : public UDBDAttackOpenSubstate
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _minPitchValue;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _maxPitchValue;

public:
	UK41GutsAttackOpenSubstate();
};

FORCEINLINE uint32 GetTypeHash(const UK41GutsAttackOpenSubstate) { return 0; }
